#include <stdio.h>
#include <fcntl.h>

#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>

#if !defined(COM)
#  define COM	"/dev/cuaa0"
#endif

#define BUFSIZE	256

extern int errno;

int
main(int argc,char *argv[]) {
 int fd;
 int c,i;
 char *com=COM;
 int buf[BUFSIZE];

 if(argc>1){
  com=argv[1];
 }

 fprintf(stderr,"Com device setting %s.\n",com);
 
 fd=open(com,O_RDWR | O_NDELAY);
// printf("File descriptor is %d\n",fd);

// for(i=0;i<=0xff;i++){
 while(1){
   int size;

   size=read(fd,buf,1);
   if(size<0) fprintf(stderr,"[%d]%s\n",errno,strerror(errno));
   printf("%2x:%d,%x\n",size,buf[0],buf[0]);
//   putc(i,fd);
//   c=getc(fd);
 }
 close(fd);
}
